mod registry;

fn main() {
    println!("Hello, world!");

    let r = registry::api::Registry {
        endpoint: "https://docker.mtfos.xyz".to_string(),
        user: "".to_string(),
        password: "".to_string(),
    };

    // let images = r.list_images().unwrap();

    // println!("images ::: {:?}", images);

    // let tags = r.get_image_tags("mtfos/go-bot").unwrap();

    // println!("tags ::: {:?}", tags);

    let digest = match r.get_image_tag_manifest("demo/node-hello", "v1") {
        Ok(digest) => digest,
        Err(e) => panic!("digest err ::: {:?}", e),
    };

    println!("digest ::: {:?}", digest);

    match r.delete_image_tag("demo/node-hello", &digest) {
        Ok(_) => println!("deleted"),
        Err(e) => println!("error ::: {:?}", e),
    };
}
